
package Controller;

import Dao.LoginDao;
import Dao.WelcomeDao;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author 1004242
 */
//@WebServlet("/WelcomeServlet")

public class WelcomeServlet extends HttpServlet {


    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        //processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession(false);
        String pacsId = (String) session.getAttribute("pacsId");
        String userId = request.getParameter("userName");
        WelcomeDao wDao = new WelcomeDao();
        String action = request.getParameter("temp");

        //"{\"pQue\": \"30\"}";
        try {
          if (action.equalsIgnoreCase("search")) {
            response.setContentType("application/json");
            PrintWriter out = response.getWriter();
            String jsonStr = wDao.getQueDetails(userId ,pacsId);
            out.print(jsonStr);
            out.flush();
          }
          else if (action.equalsIgnoreCase("allTran"))
          {
            response.setContentType("application/json");
            PrintWriter out = response.getWriter();
            String jsonStr = wDao.getAllTranDetails(userId ,pacsId);
            out.print(jsonStr);
            out.flush();
          }
            
        } catch (Exception e) {
           // e.printStackTrace();
           System.out.println("Error occurred during processing.");
           
        } finally {
            System.out.println("Processing done.");
        }
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
